# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"location_coordinate": "29.6821525,-82.4098881,100",
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": [
"male"
],
"industry": [
"806303407",
"806301758"
],
"job_function": [
"806298607"
]
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"location_coordinate": "29.6821525,-82.4098881,100",
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": [
"male"
],
"industry": [
"806303407",
"806301758"
],
"job_function": [
"806298607"
]
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post"
payload = [
{
"location_coordinate": "29.6821525,-82.4098881,100",
"age": ["twenty_five_to_thirty_four", "eighteen_to_twenty_four", "unknown"],
"bid": 1,
"daily_budget": 24,
"gender": ["male"],
"industry": ["806303407", "806301758"],
"job_function": ["806298607"]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
location_coordinate: '29.6821525,-82.4098881,100',
age: ['twenty_five_to_thirty_four', 'eighteen_to_twenty_four', 'unknown'],
bid: 1,
daily_budget: 24,
gender: ['male'],
industry: ['806303407', '806301758'],
job_function: ['806298607']
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'location_coordinate' => '29.6821525,-82.4098881,100',
'age' => [
'twenty_five_to_thirty_four',
'eighteen_to_twenty_four',
'unknown'
],
'bid' => 1,
'daily_budget' => 24,
'gender' => [
'male'
],
'industry' => [
'806303407',
'806301758'
],
'job_function' => [
'806298607'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post"
payload := strings.NewReader("[\n {\n \"location_coordinate\": \"29.6821525,-82.4098881,100\",\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ]\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"location_coordinate\": \"29.6821525,-82.4098881,100\",\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ]\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"location_coordinate\": \"29.6821525,-82.4098881,100\",\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ]\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": {}
}
]
}Setting ‘Bing Ads Audience Estimation’ Tasks
Queues a Bing audience estimation, returning a task id.
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"location_coordinate": "29.6821525,-82.4098881,100",
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": [
"male"
],
"industry": [
"806303407",
"806301758"
],
"job_function": [
"806298607"
]
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"location_coordinate": "29.6821525,-82.4098881,100",
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": [
"male"
],
"industry": [
"806303407",
"806301758"
],
"job_function": [
"806298607"
]
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post"
payload = [
{
"location_coordinate": "29.6821525,-82.4098881,100",
"age": ["twenty_five_to_thirty_four", "eighteen_to_twenty_four", "unknown"],
"bid": 1,
"daily_budget": 24,
"gender": ["male"],
"industry": ["806303407", "806301758"],
"job_function": ["806298607"]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
location_coordinate: '29.6821525,-82.4098881,100',
age: ['twenty_five_to_thirty_four', 'eighteen_to_twenty_four', 'unknown'],
bid: 1,
daily_budget: 24,
gender: ['male'],
industry: ['806303407', '806301758'],
job_function: ['806298607']
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'location_coordinate' => '29.6821525,-82.4098881,100',
'age' => [
'twenty_five_to_thirty_four',
'eighteen_to_twenty_four',
'unknown'
],
'bid' => 1,
'daily_budget' => 24,
'gender' => [
'male'
],
'industry' => [
'806303407',
'806301758'
],
'job_function' => [
'806298607'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post"
payload := strings.NewReader("[\n {\n \"location_coordinate\": \"29.6821525,-82.4098881,100\",\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ]\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"location_coordinate\": \"29.6821525,-82.4098881,100\",\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ]\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"location_coordinate\": \"29.6821525,-82.4098881,100\",\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ]\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": {}
}
]
}id. Wrapped in DataForSEO’s envelope: data in tasks[0].result, outcome in tasks[0].status_code - a rejected request still returns HTTP 200. Retrieve with get_dataforseo_keywords_bing_audience_fetch.
Example
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"location_name": "...", "location_code": "...", "location_coordinate": "..."}]'
Cost and request rules
Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.09
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
full name of search engine location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available locations of the search engine with their location_name by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/locations
example:London,England,United Kingdom
search engine location code
required field if you don't specify location_name or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available locations of the search engines with their location_code by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/locations
example:2840
GPS coordinates of a location
required field if you don't specify location_name or location_code
if you use this field, you don't need to specify location_name or location_codelocation_coordinate parameter should be specified in the "latitude,longitude,radius (in km)" format
the data will be provided for the country the specified coordinates belong to
example:29.6821525,-82.4098881,100
selection of age ranges for targeting
possible values: eighteen_to_twenty_four, fifty_to_sixty_four, sixty_five_and_above, thirteen_to_seventeen, thirty_five_to_forty_nine, twenty_five_to_thirty_four, unknown, zero_to_twelve
desired bid setting value in USD
maximum value: 1000
daily campaign budget value in USD
maximum value: 10000
gender to target
possible values: male, female, unknown
industry of LinkedIn profile targeting
if you use this field, you can receive the list of available industry names with industry_id by making a separate request to the https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/industries
example: 806301758
job function of LinkedIn profile targeting
if you use this field, you can receive the list of available job function names with job_function_id by making a separate request to the https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/job_functions
example: 806300451
[ { "location_coordinate": "29.6821525,-82.4098881,100", "age": [ "twenty_five_to_thirty_four", "eighteen_to_twenty_four", "unknown" ], "bid": 1, "daily_budget": 24, "gender": ["male"], "industry": ["806303407", "806301758"], "job_function": ["806298607"] } ]
Response
Successful operation
the current version of the API
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
total tasks cost, USD
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
array of tasks
Show child attributes
Show child attributes